<?php
if (file_exists("embedded/functions/site_functions.php"))
	{
	include_once("embedded/functions/site_functions.php");
	}
else
	{
include_once("../../embedded/functions/site_functions.php");
	}
$device_id=$_SESSION['device_id'];
$language=$_SESSION['language'];
if ($language==1)
	{
	$head1="πιέστε για να δείτε την τωρινή ημερομηνία!";
	$head2="<th>Δευτέρα</th><th>Τρίτη</th><th>Τετάρτη</th><th>Πέμπτη</th><th>Παρασκευή</th><th>Σάββατο</th><th>Κυριακή</th>";
	$head3="Πιέστε για να δείτε το πρόγραμμα";
	$head4="γεγονότα:";
	$pattern="/[^,A-Za-zάΆέΈήΉίΊόΌύΎώΏΖζΧχΨψωΩβΒνΝμΜΛλΚκΞξΗηΓγΦφΔδΣσΑαςΕεΡρΤτΥυΘθΙιΟοπΠ0-9\' ']/";
	}
else
	{
	$head1="click to see current date!";
	$head2="<th>Monday</th><th>Tuesday</th><th>Wednesday</th><th>Thursday</th><th>Friday</th><th>Saturday</th><th>Sunday</th>";
	$head3="click to check the program";
	$head4="events:";
	$pattern="/[^,A-Za-z0-9\' ']/";
	}
$final="";
db_open();
if ((isset($_GET['q']) && !empty($_GET['q'])) && (isset($_GET['p']) && !empty($_GET['p'])))
	{
	
	$q= strip_tags(htmlspecialchars(mysql_real_escape_string(trim($_GET["q"]))));
	$p= strip_tags(htmlspecialchars(mysql_real_escape_string(trim($_GET["p"]))));
	if (is_numeric($q) && !preg_match($pattern, $p))
		{
		$pa=preg_split("/[,]+/", $p);
		$m=$pa[0];
		$y=$pa[1];
		if($language==1)
		{
		if ($m=="Ιανουάριος")
			{
			$m="January";
			}
		else if ($m=="Φεβρουάριος")
			{
			$m="February";
			}
		else if ($m=="Μάρτιος")
			{
			$m="March";
			}
		else if ($m=="Απρίλιος")
			{
			$m="April";
			}
		else if ($m=="Μάιος")
			{
			$m="May";
			}
		else if ($m=="Ιούνιος")
			{
			$m="June";
			}
		else if ($m=="Ιούλιος")
			{
			$m="July";
			}
		else if ($m=="Αύγουστος")
			{
			$m="August";
			}
		else if ($m=="Σεπτέμβριος")
			{
			$m="September";
			}
		else if ($m=="Οκτώβριος")
			{
			$m="October";
			}
		else if ($m=="Νοέμβριος")
			{
			$m="November";
			}
		else 
			{
			$m="December";
			}	
			
		}
		$month=date('m',strtotime($m));
		$amonth="";
		if ($q=="111")
			{
			if ($month=="1")
				{
				$y= $y - 1 ;
				$month =13;
				}
			$amonth = $month-1;
			}
		else if ($q=="222")
			{
			if ($month=="12")
				{
				$y= $y + 1;
				$month=0;
			}
			$amonth = $month+1;
			}
		else
			{
			if (isset($_GET['y']) && !empty($_GET['y']) && is_numeric($_GET['y']))
				{
				
				$y= strip_tags(htmlspecialchars(mysql_real_escape_string(trim($_GET["y"]))));
				$amonth=$q;
				}
			}
		$timestamp = mktime(0,0,0,$amonth);
		$n_month=date("F", $timestamp);
		$finall=$n_month.','.$y;
		if($language==1)
		{
		if ($n_month=="January")
			{
			$n_month="Ιανουάριος";
			}
		else if ($n_month=="February")
			{
			$n_month="Φεβρουάριος";
			}
		else if ($n_month=="March")
			{
			$n_month="Μάρτιος";
			}
		else if ($n_month=="April")
			{
			$n_month="Απρίλιος";
			}
		else if ($n_month=="May")
			{
			$n_month="Μάιος";
			}
		else if ($n_month=="June")
			{
			$n_month="Ιούνιος";
			}
		else if ($n_month=="July")
			{
			$n_month="Ιούλιος";
			}
		else if ($n_month=="August")
			{
			$n_month="Αύγουστος";
			}
		else if ($n_month=="September")
			{
			$n_month="Σεπτέμβριος";
			}
		else if ($n_month=="October")
			{
			$n_month="Οκτώβριος";
			}
		else if ($n_month=="November")
			{
			$n_month="Νοέμβριος";
			}
		else 
			{
			$n_month="Δεκέμβριος";
			}	
			
		}
		$final=$n_month.",".$y;
		}
	}
$t_d=date("d");
$t_m=date("m");
$t_y=date("Y");
if ($final=="")
	{
	$xronos=date("Y");
	$mhnas=date("F");
	$finall=$mhnas.','.$xronos;
	if($language==1)
		{
		if ($mhnas=="January")
			{
			$mhnas="Ιανουάριος";
			}
		else if ($mhnas=="February")
			{
			$mhnas="Φεβρουάριος";
			}
		else if ($mhnas=="March")
			{
			$mhnas="Μάρτιος";
			}
		else if ($mhnas=="April")
			{
			$mhnas="Απρίλιος";
			}
		else if ($mhnas=="May")
			{
			$mhnas="Μάιος";
			}
		else if ($mhnas=="June")
			{
			$mhnas="Ιούνιος";
			}
		else if ($mhnas=="July")
			{
			$mhnas="Ιούλιος";
			}
		else if ($mhnas=="August")
			{
			$mhnas="Αύγουστος";
			}
		else if ($mhnas=="September")
			{
			$mhnas="Σεπτέμβριος";
			}
		else if ($mhnas=="October")
			{
			$mhnas="Οκτώβριος";
			}
		else if ($mhnas=="November")
			{
			$mhnas="Νοέμβριος";
			}
		else 
			{
			$mhnas="Δεκέμβριος";
			}	
			
		}
	$final= $mhnas.','.$xronos;
	}
$cpa=preg_split("/[,]+/", $finall);
$cm=$cpa[0];
$cyear=$cpa[1];
$cmonth=date('m',strtotime($cm));
echo<<<a
<div id="select_month">
<a id="previous_click" onclick="month(111,0);" > &lt;&lt; </a>
<a id="viewed_month">
a;
echo $final;
$todaaa=date("Y-m-d");
echo<<<a
</a>
<a id="next_click" onclick="month(222,0);" > &gt;&gt; </a>
</div>
<div id="today" onclick="month(0,0);" title="$head1">
$todaaa
</div>
a;

$num = days_in_month($cmonth, $cyear);
$timeStamp=mktime(0,0,0,$cmonth,1,$cyear);
$firstDay=date('D',$timeStamp);
if ($firstDay=="Mon") 
	{
	$firstDay=1;
	}
else if ($firstDay=="Tue")
	{
	$firstDay=2;
	}
else if ($firstDay=="Wed")
	{
	$firstDay=3;
	}
else if ($firstDay=="Thu")
	{
	$firstDay=4;
	}
else if ($firstDay=="Fri")
	{
	$firstDay=5;
	}
else if ($firstDay=="Sat")
	{
	$firstDay=6;
	}
else
	{
	$firstDay=7;
	}
echo<<<a
<div id="calendar_field">
<table id="calendar">
<tr>
$head2
</tr>
a;
$day=1;
for ($j=1; $j<=6; $j++)
	{
	$a=$j-1;
	$k=$a*7;
	echo "<tr>";
	for ($i=1; $i<=7; $i++)
		{
		$class="";
		$l=$i+$k;
			if (($firstDay==$l) && ($day <= $num))
				{			
				if ($t_y==$cyear)
					{
					if ($t_m==$cmonth)
						{
						if ($t_d==$day)
							{
							$class='class="today"';
							}
						else if ($t_d>=$day)
							{
							$class='class="previous_day"';
							}
						else
							{
							$class='class="next_day"';
							}
						}
					else if ($t_m>=$cmonth)
						{
						$class='class="previous_day"';
						}
					else
						{
						$class='class="next_day"';
						}
					}
				else if ($t_y<=$cyear)
					{
					$class='class="next_day"';
					}
				else
					{
					$class='class="previous_day"';
					}
				if ($day<10)
					{
					$day="0".$day;
					}
				$date=$cyear."-".$cmonth."-".$day;
				$events=scenario_numbers($device_id,$date);
				echo '<td '.$class.' onclick="day_info('.$cmonth.','.$cyear.','.$day.');" title="'.$head3.'"><a class="day_number">'.$day.'</a><p class="calendar_events">'.$head4.'<b>'.$events.'</b></p></td>';
				$day=$day+1;
				$firstDay=$firstDay+1;
				}
			else
				{
				echo '<td class="vision"></td>';
				}
			
		}
	echo "</tr>";
	}
db_close();	
echo<<<a
</table>
</div>
<div id="place"> </div>
a;
?>